org.jboss.jca.deployers.common

## Class BeanValidation

- java.lang.Object
- - org.jboss.jca.deployers.common.BeanValidation

-     public class BeanValidation
      extends java.lang.Object

  Version:
    $Revision: $
  Author:
    Jeff Zhang, Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanValidation()` Constructor
    `BeanValidation(javax.validation.ValidatorFactory vf)` Constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `setValidatorFactoryName(java.lang.String name)` Set the validator factory name
    `void` | `validate(java.lang.Object object, java.util.List<java.lang.Class> groupsClasses)` Validate the object against the Bean Validation specification (JSR-303).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanValidation

          public BeanValidation()

      Constructor

    - #### BeanValidation

          public BeanValidation(javax.validation.ValidatorFactory vf)

      Constructor
      Parameters:
        `vf` - The validator factory

  - ### Method Detail

    - #### validate

          public void validate(java.lang.Object object,
                               java.util.List<java.lang.Class> groupsClasses)
                        throws javax.validation.ConstraintViolationException

      Validate the object against the Bean Validation specification (JSR-303). The object must be fully initialized
      Parameters:
        `object` - The object that should be validated
        `groupsClasses` - groups targeted for validation
      Throws:
        `javax.validation.ConstraintViolationException` - Thrown if the object can't be validated

    - #### setValidatorFactoryName

          public static void setValidatorFactoryName(java.lang.String name)

      Set the validator factory name
      Parameters:
        `name` - The factory name

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)